package cn.ysk.cashier.mybatis.service;

import cn.ysk.cashier.mybatis.entity.Activate;
import cn.ysk.cashier.mybatis.entity.StorageVo;
import cn.ysk.cashier.mybatis.vo.ActivateProsVo;
import cn.ysk.cashier.pojo.product.TbProduct;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
* @website https://eladmin.vip
* @description 服务接口
* @author admin
* @date 2023-10-30
**/
public interface ShopService {
    Object findStorage(Integer shopId, String account, Pageable pageable);

    void outStorage(Integer id, String userName, Integer num);


    void inStorage(StorageVo storageVo, String userName);

    Object findActivate(String shopId);

    void modityActivate(Activate activate);

    List<ActivateProsVo> findActivatePros(Integer activate);
}